Bug 74208 - kickstart: clearpart --linux clears all partitions
kickstart: clearpart --linux clears all partitions
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-17 17:30 EDT by Joost van der Sluis
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-20 15:03:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joost van der Sluis 2002-09-17 17:30:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0rc3)
Gecko/20020523

Description of problem:
A kickstart installations removes all partitions on /dev/hda while the option
'clearpart --linux' is in the kickstart-file

How reproducible:
Always

Steps to Reproduce:
1. make a clean dos-partition table with fdisk and add a windows partition. (ie:
type b)
2. make a kickstart-file with the following:
clearpart --linux
part / --fstype ext3 --size 2048
part swap --size 256
3. after the installation the partition made in step 1 is dissapeared
	

Actual Results:  The windows-partition is removed

Expected Results:  All the linux-partitions cleared but not the windows-partition
Comment 1 Jeremy Katz 2002-09-20 16:02:06 EDT
clearpart looks at what is on the partition, not the partition table type as the
latter is completely non-deterministic.  You need to make sure to dd the
partition or mkdosfs it if you want to preserve it and it doesn't already really
have a non-linux filesystem
Comment 2 David Juran 2004-02-24 09:41:37 EST
Seems this bug is back in RHEL 3 U1 and anaconda 9.1.1-7.RHEL. It just
wiped a NTFS partition for me. And yes, it really was an NTFS
partition. Please reopen this bug. 

Note You need to log in before you can comment on or make changes to this bug.